\name{check_compData_results}
\alias{check_compData_results}
\title{Check the validity of a \code{compData} result object}
\usage{
check_compData_results(object)
}
\arguments{
  \item{object}{A \code{compData} object}
}
\description{
Check the validity of a \code{compData} object with
differential expression results. An object that passes the
check can be used as the input for the method comparison
functions in \code{compcodeR}.
}
\examples{
\dontrun{
mydata <- generateSyntheticData(dataset = "mydata", n.vars = 12500,
                                samples.per.cond = 5, n.diffexp = 1250,
                                output.file = "mydata.rds")
## Check an object without differential expression results
check_compData_results(mydata)

runDiffExp(data.file = "mydata.rds", result.extent = "voom.limma",
           Rmdfunction = "voom.limma.createRmd",
           output.directory = ".", norm.method = "TMM")
resdata <- readRDS("mydata_voom.limma.rds")
## Check an object containing differential expression results
check_compData_results(resdata)
}
}
\author{
Charlotte Soneson
}

